Bug 151350 - Slow portmap startup with "passwd: nis files"
Slow portmap startup with "passwd: nis files"
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: portmap (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-17 03:22 EST by Toralf
Modified: 2011-12-08 10:39 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-08 10:39:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toralf 2005-03-17 03:22:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.6) Gecko/20050226 Firefox/1.0.1

Description of problem:
The portmapper service startup phase lasts "forever" if you use NIS, and give the nis map priority for passwd lookups.

Version-Release number of selected component (if applicable):
4.0-63

How reproducible:
Always

Steps to Reproduce:
1. Set up the system to use NIS... (But maybe you'll be able to reproduce the
   problem even without a valid NIS conif.)
2. In /etc/nsswitch.conf, change the line starting with "passwd" to
   passwd:     nis files
3. Reboot
  

Actual Results:  The system waits a *long* time on the step

Starting portmap:

Expected Results:  Normal boot

Additional info:

I'm filing this against RHEL 4, but it's actually a problem that has occurred on all Red Hat (and Fedora) releases since about as long as I can remember.

If I reboot the dirty way, i.e. just press the reset button instead of doing a proper shutdown, the problem does not occur.

We've been using "nis files" partly because it seems like the "compat" behaviour isn't really quite compatible with the traditional NIS/YP one, but that's probably a separate issue.
Comment 1 Steve Dickson 2005-09-06 07:03:22 EDT
Is this still a problem?
Comment 2 Toralf 2005-09-13 08:19:23 EDT
We have actually started to use "compat files" instead (you may also wish to
note that "compat" alone doesn't work as expected) in order to get around this
problem, but it's still there.

Note You need to log in before you can comment on or make changes to this bug.